Bug 855469 - UnicodeEncodeError: 'ascii' codec can't encode character u'\xae' in position 394: ordinal not in range(128)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xae' in position ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma (Show other bugs)
18
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 17:54 EDT by Andre Robatino
Modified: 2014-02-05 07:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:09:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped output of "strace -f -o strace.txt fedora-easy-karma --fas-username=robatino" (1.30 MB, application/x-gzip-compressed)
2012-09-10 13:19 EDT, Andre Robatino
no flags Details
output of "fedora-easy-karma --fas-username=robatino --list-rpms-only" (84.08 KB, text/plain)
2012-09-10 13:20 EDT, Andre Robatino
no flags Details
bodhi-cache-F18.cpickle (585.25 KB, application/octet-stream)
2012-10-09 12:53 EDT, Andre Robatino
no flags Details

  None (edit)
Description Andre Robatino 2012-09-07 17:54:39 EDT
Description of problem:
While using fedora-easy-karma, the following output occurred. Following the crash, abrt offered to report the problem but was then unable to do so.

(snip)

ignored: liboauth-0.9.7-1.fc18
ignored: libosinfo-0.2.0-1.fc18
================================================================================
     libpipeline-1.2.1-2.fc18
================================================================================
  Update ID: FEDORA-2012-13498
    Release: Fedora 18
     Status: testing
       Type: enhancement
      Karma: 0
      Notes: Enabled test suite at the build time, cleaned .spec file.
  Submitter: pschiffe
  Submitted: 2012-09-06 17:12:58
   Comments: bodhi - 2012-09-06 17:13:03 (karma 0)
             This update has been submitted for testing by pschiffe.
             autoqa - 2012-09-06 17:45:26 (karma 0)
             AutoQA: depcheck test PASSED on i386. Result log:
             http://autoqa.fedoraproject.org/report/desx (results are
             informative only)
             autoqa - 2012-09-06 17:45:46 (karma 0)
             AutoQA: depcheck test PASSED on x86_64. Result log:
             http://autoqa.fedoraproject.org/report/det5 (results are
             informative only)
             bodhi - 2012-09-07 17:58:27 (karma 0)
             This update is currently being pushed to the Fedora 18 testing
             updates repository.
             bodhi - 2012-09-07 19:33:55 (karma 0)
             This update has been pushed to testing

  https://admin.fedoraproject.org/updates/F18/FEDORA-2012-13498

 inst. RPMS: libpipeline-1.2.1-2.fc18.x86_64 - A pipeline manipulation library (installed 0 days ago)

Comment? -1/0/1 -> karma, 'i' -> ignore, other -> skip> i
ignored as requested
ignored: abrt-2.0.12-1.fc18,libreport-2.0.13-1.fc18
Traceback (most recent call last):
  File "/usr/bin/fedora-easy-karma", line 510, in <module>
    FedoraEasyKarma()
  File "/usr/bin/fedora-easy-karma", line 382, in __init__
    print FEK_helper.bodhi_update_str(update, bodhi_base_url=bc.base_url, width=self.options.wrap_width, wrap_bugs=self.options.wrap_bugs)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xae' in position 394: ordinal not in range(128)
[andre@localhost ~]$

Version-Release number of selected component (if applicable):
fedora-easy-karma-0-0.16.20110825git36efb338.fc17.noarch

How reproducible:
Always get the traceback right after the libpipeline update. It's presumably caused by whatever's after that, but I don't know what that is.
Comment 1 Andre Robatino 2012-09-08 19:25:56 EDT
Same error after the same package with the latest batch of F18 updates. When trying to use abrt to report the error, it says "Processing failed." and the log says

--- Running report_uReport ---
Unexpected HTTP status code: 400
(exited with 1)
Comment 2 Andre Robatino 2012-09-10 13:19:33 EDT
Created attachment 611509 [details]
gzipped output of "strace -f -o strace.txt fedora-easy-karma --fas-username=robatino"
Comment 3 Andre Robatino 2012-09-10 13:20:56 EDT
Created attachment 611511 [details]
output of "fedora-easy-karma --fas-username=robatino --list-rpms-only"
Comment 4 Andre Robatino 2012-09-16 14:05:15 EDT
After the latest updates-testing push, this problem is gone. Maybe the package responsible was pushed to stable? Hopefully the above logs will help in tracking down the problem.
Comment 5 Andre Robatino 2012-10-09 11:54:21 EDT
Now seeing a similar error on a freshly installed F18 VM:

  https://admin.fedoraproject.org/updates/F18/FEDORA-2012-15022

 inst. RPMS: setroubleshoot-plugins-3.0.45-1.fc18.noarch - Analysis plugins for use with setroubleshoot (installed 0 days ago)

Comment? -1/0/1 -> karma, 'i' -> ignore, other -> skip> i
ignored as requested
Traceback (most recent call last):
  File "/usr/bin/fedora-easy-karma", line 510, in <module>
    FedoraEasyKarma()
  File "/usr/bin/fedora-easy-karma", line 382, in __init__
    print FEK_helper.bodhi_update_str(update, bodhi_base_url=bc.base_url, width=self.options.wrap_width, wrap_bugs=self.options.wrap_bugs)
UnicodeEncodeError: 'ascii' codec can't encode character u'\u2019' in position 773: ordinal not in range(128)
[andre@localhost ~]$
Comment 6 Till Maas 2012-10-09 12:08:11 EDT
Sorry for the long delay. Can you please run 
fedora-easy-karma --bodhi-update-cache
and provide the file ~/.fedora-easy-karma/bodhi-cache-F18.cpickle?
Comment 7 Andre Robatino 2012-10-09 12:53:45 EDT
Created attachment 624195 [details]
bodhi-cache-F18.cpickle

When I ran the command as indicated, the error no longer happened. When this happened, I hit 'i' to ignore the update, before realizing it would have been good to check if the --bodhi-update-cache argument had something to do with it. So I can't reproduce the error at all now, sorry. Anyway, here's the file in case there's anything useful in it.
Comment 8 Till Maas 2012-10-09 13:05:44 EDT
You can delete/move away ~/.fedora-easy-karma/ignore.cpickle to unignore updates.
Comment 9 Fedora End Of Life 2013-12-21 03:50:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 07:09:26 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.